Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.maven
[Java] Interface MavenResolver

    org.gradle.api.artifacts.maven.PomFilterContainer
      org.gradle.api.artifacts.maven.MavenResolver
          org.gradle.api.artifacts.repositories.ArtifactRepository

All Superinterfaces:
  PomFilterContainer, ArtifactRepository

    public interface MavenResolver
    extends ArtifactRepository, PomFilterContainer

An ArtifactRepository which can be used to publish artifacts to Maven repositories.

Field Summary

Fields inherited from interface PomFilterContainer
DEFAULT_ARTIFACT_POM_NAME

Method Summary
`void` | `beforeDeployment(Action action)` Adds an action to be executed immediately before a deployment to this resolver.
`void` | `beforeDeployment(Closure action)` Adds a closure to be executed immediately before a deployment to this resolver.
`Object` | `getSettings()` Returns a Maven settings object.

Methods inherited from interface PomFilterContainer
addFilter, addFilter, filter, filter, getActivePomFilters, getFilter, getPom, pom, pom, pom, setFilter, setPom

Methods inherited from interface ArtifactRepository
getName, setName

Method Detail

### beforeDeployment

    public void beforeDeployment(Action action)

  Adds an action to be executed immediately before a deployment to this resolver. The action is executed after all artifacts have been build, including generation of the POM. The action can modify the set of artifacts to be deployed.
  Parameters:
    `action` - The action to execute.

### beforeDeployment

    public void beforeDeployment(Closure action)

  Adds a closure to be executed immediately before a deployment to this resolver. The closure is passed a MavenDeployment as a parameter. The closure is executed after all artifacts have been build, including generation of the POM. The closure can modify the set of artifacts to be deployed.
  Parameters:
    `action` - The closure to execute.

### getSettings

    public Object getSettings()

  Returns a Maven settings object. This can be used for example to figure out where the local repository is located. This property is filled after publishing. Before this property is null.

Gradle API 1.10